Error installing plugins

Hi,
I am trying to install third party plugins, however both installation and update of existing ones fail with a generic error (“impossible to install…”). I am using the “third party plugin” option.
Opening chrome dev tools every time I try to install a plugin it shows an error such as this:

Access to XMLHttpRequest at ‘https://github-releases.githubusercontent.com/308127502/ce372680-60b5-11eb-851a-2168f939c45f?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=AKIAIWNJYAX4CSVEH53A%2F20210128%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20210128T155649Z&X-Amz-Expires=300&X-Amz-Signature=154ec64a8c5f1c1401a47a52e2e663a2d1e60764992f286618a492647653f6af&X-Amz-SignedHeaders=host&actor_id=0&key_id=0&repo_id=308127502&response-content-disposition=attachment%3B%20filename%3Dmanifest.json&response-content-type=application%2Foctet-stream’ (redirected from ‘https://github.com/tgrosinger/advanced-tables-obsidian/releases/download/0.9.2/manifest.json’) from origin ‘app://obsidian.md’ has been blocked by CORS policy: No ‘Access-Control-Allow-Origin’ header is present on the requested resource.

Steps to reproduce

Open option->third party plugins->browse, select any plugin and try to install it

Expected result

A plugin gets installed

Actual result

Error (CORS)

Environment

  • Operating system: Win 10
  • Obsidian version: 0.10.9

1 Like

I’m having the same problem. Maybe there’s a bug in the latest app update.

+1. For plugin updates and new plugins I get “Failed to Install” (using v0.10.10)

will be fixed in 0.10.11

1 Like